Avenue PC Online Manual Introduction

Avenue™ PC

Online Manual

Introduction

This data pack describes installation and operation of the Avenue PC Control Application Software option. The Avenue PC remote control options allows remote control, configuration and monitoring of the frame modules from a PC.

The following sections are included in this online manual:

  • Avenue PC Description
  • Avenue PC Applications
  • Avenue PC Installation
    • Connecting a PC to Avenue Frames
    • Installing the Avenue PC Application
  • Avenue PC Operation
    • The Mainscreen
    • File Pulldown Menus
    • Option Pulldown Menus
    • Frame Pulldown Menus
    • Module Pulldown Menus


 Avenue PC Description

The Avenue PC Control Application Software option is a PC-based remote control application which allows you to completely control, configure and monitor the modules in each of your Avenue frames. Avenue PC can be installed on a PC running Windows 95/98 or NT. Setting of all module parameters is possible from easy to read on-screen menus. Module configuration can be stored to a file and saved or downloaded to another moduleof the same type. User-defined alarms can be set for alerting you at any time when a fault condition has occurred.

PC interface to the Avenue frames can be made through an RS-232 serial connection or through Ethernet. Frames can be connected together through the AveNet intraframe LAN bus connecting between the 5030 System Control module in each frame. Cable requirements and pinout descriptions are given in this online manual and in the Avenue System Overview included in your Avenue User Manual binder.

You may also use the Avenue Touch Screen Panel for remote control, along with the PC interface. Information on the Avenue Touch Screen is provided in the online manual that accompanies that option.

The Avenue PC application comes on a CD-ROM and is easy to install and configure. All menus and pulldown functions for setting up Avenue PC are explained and illustrated in this online manual. The individual menus for each module are explained and illustrated in the online manual you receive with each module.


 Avenue PC Applications

This section describes the most common applications for connecting a PC to the Avenue frames.

Your PC can be connected to one of the Avenue frames through a PC serial port to the Avenue serial port as shown below. Any number of frames can be controlled via the AveNet bus if a System Control module is installed in each frame.

Single PC Controlling Mutiple Avenue Frames

Frames located in different rooms may be controlled or monitored serially by a PC in each room. All the frames on the AveNet network can controlled by either computer, as shown below.

Two PC's Controlling Frames in Different Places

The PC Application may be run on a PC connected to a facility Ethernet network as shown in the figure below. In this case, the Avenue Ethernet connector on one frame is connected to the Ethernet hub and the frame is assigned an IP Address on its System Control module. The frame may then be networked to other frames via AveNet.

Avenue PC Control Through Ethernet


 Avenue PC Installation

This section of the online manual explains connecting your PC to the Avenue frame and installing the software application onto your PC. Note that a 5030 System Control module is required in any frame being controlled with Avenue PC.

  • Connecting a PC to the Avenue Frame(s)
  • Avenue PC Application Install Procedure


 Connecting a PC to the Avenue Frame(s)

Serial Control:

Connect a 9-pin D to 9-pin D serial cable (not provided) from the Serial Control port on the Avenue frame shown in the figure below to a valid unused serial (Comm) port on your PC. The Serial Port pinout is given in detail in the figure on the following page if you are building your own cable. As noted in the pinout details, you may use a simple pin-to-pin serial cable if you are not using the GPI functions. The serial cable pinout is also illustrated under the Preferences menu in the Avenue PC application.

Ethernet:

The Avenue frame may also be controlled by a PC running the Avenue PC Control Application software connected to a 10BaseT Ethernet network. The IP Address for each frame is set on the System Control module in the frame or frames connected to the Ethernet network. For using Ethernet, connect a standard RJ45 connector to the Avenue Ethernet connection shown below. You will need to set the IP Address of each System module on the Ethernet network. Get the IP Address from your system administrator to minimize devices using the same address. Refer to the System Control module online manual for more information on setting the IP Address.

Avenue Backplane Serial Port, AveNet and Ethernet Connectors

AveNet:

If you will be looping frames together, connect the first Avenue frame AveNet connector to the next frame AveNet connector with standard RJ11 LAN phone cable. The unused connectors must be terminated with 100 ohm LAN terminations at the first and last frames in the group.

Cable Pinouts

If you will be building your own serial or LAN cable, refer to the illustrations below for pinout details:


 Installing the Avenue PC Application

The Avenue PC application comes on a CD-ROM and has the following system requirements:

• PC Running Windows 95/98 or NT

• 5 - 10 MB of hard disk space

• CD-ROM Drive NOTE: Floppy disks can be ordered from the Factory if necessary.

Follow the instructions below to install Avenue PC.

1. Insert the Avenue PC CD-ROM into your CD-ROM drive.

2. To locate the Avenue PC CD, double-click on My Computer to locate the CD-ROM drive icon or use Windows Explorer to find the Avenue PC CD-ROM.

3. Open the CD-ROM and double click on the Avenue Setup Icon to start the installation. Follow the prompts to take you through the procedure. Install the application in the desired directory as prompted.

4. The installation process will give you a shortcut to the Avenue application under the Windows Start button or you may install a shortcut on your desktop if desired.

5. Click on the Avenue PC icon to start the application.

6. You should see a list of Avenue frames your PC is connected to. If the PC is not connecting properly, go to the Avenue Options pulldown, Preferences, and select the correct PC Comm Port.


 Avenue PC Operation

This section of the online manual describes how to operate the Avenue PC Control Application

  • The Mainscreen
  • File Pulldown Menus
  • Option Pulldown Menus
  • Frame Pulldown Menus
  • Module Pulldown Menus


 Avenue PC Mainscreen

Open the Avenue PC application and refer to the main Avenue PC screen below.

Each of the main Avenue screen components are described in detail in this section of the online manual. Refer to the descriptions below for accessing each function of the Avenue application.

The Avenue PC pulldown menus are shown below.

The Avenue PC icon functions are explained in the figure below.

The Module Selection screen is illustrated below right. As shown in the List Frame By illustration below left, the frames can be listed by Name, Group and Address ID. The modules can be listed by Name, Group, Slot, Model and Type as shown in the List Module By pulldown at lower right.

Select the frame (+) to expand the list to show the modules present. Use the Update Frame Network List or Update Frame List in the icons to update the latest listing.

When you select a module from the list above, the setup menus available for that particular module will be displayed as shown in the illustration below. Also displayed on the main screen above the menus will be the Name and Description of the module, the Group, and Module number and whether the module is set to Remote or Local. Make sure the module is set to Remote to allow it to be controlled by Avenue PC.

Each type of module has different menu selections. The example shown below gives a generic summary of parameters. For specific module menu screens, refer to the individual online manual that shipped with the module.

The lower portion of the main menu screen displays the Chassis Com, Com 1, Data rate information, Date and Time as illustrated in the figure below.

Chassis Com: This indicator should be green indicating proper communication with the Avenue frame. If it is red, check your frame status.

Com 1: This indicator should be green indicating a proper serial connection between the PC and the Avenue frame. If it is red, check your Communication menu in the Preferences to make sure a valid serial port is enabled.

The Data Rate, Date and Time are displayed from the information in your PC.


 File Pulldown Menus

The File pulldown menu contains two functions: Save Asset File and Exit.

Save Asset File: Allows you to save the current frame module configurations into a text file which include information about each module, including the slot location, the type of module, the serial number, the name of the module, and the software version running on the module. This file can be loaded into a database application for inventory purposes or wherever it may be useful to have this information.

The Save Asset screen is shown below.

Exit: Selecting Exit closes the Avenue PC application.


 Option Pulldown Menus

The Option pulldown menus include Preferences, Alarms and Clear Cache.

Preferences

The Preferences selection consists of the Communication setup menu screen for selecting the PC port and modem port (for alarm paging if required), the Low and High Alarm selection menu screens and the serial Cable Pinout diagram.

Communications Menu: In the Communications menu illustrated below, select the PC Serial Port to connect to the Avenue frame. Choose a port that is free and leave the rate as indicated above.

The Modem Port can be used to connect to the Avenue PC alarm system to send a page to a telephone number as shown in the Low/High Alarm section.

Low and High Alarms: The control data from each frame module can be used to alert you when a module indicator becomes active or a module is missing. There are two alarm conditions, Low and High. You may define both types of alarms making one a higher priority than the other or setting up a higher priority condition in one type of alarm.

For example, you can set an alram to go off if the input to a modue is bad, Or you might set an alarm to occur if a module losses it’s reference input.

Each alarm condition allows you to define the characteristics that will alert you when a module condition changes. The Low Alarm menu screen shown below shows the types of alarms.

Choosing Visual blinks the alarm icon on the Avenue main menu screen. Audio allows your PC to sound an audible alert of either a Beep or a Red Alert.

If you have mail service set up on your PC, you may also request an Email be sent when an alarm occurs to a designated person in the Internet section below. Enter a pager or phone number to activate the Modem Port when an alarm occurs. Enter a comma to pause the phone number you are dialing. The delay is in seconds.

Fill in the appropriate information in the screen below for a Low Alarm condition.

The High Alarm menu screen is identical to the one below. Define a high alarm in the same manner.

Cable Pinout: The RS-232 serial port cable pinout is given in this menu screen as shown below:

Alarms

The Alarms pulldown brings up the Alarm Log screen shown below. To add an alarm, click on the Add Alarm box to bring up the entry screen shown in the lower figure. In the Conditions area, enter the Frame name, Module name, and choose the Control Data criteria for the alarm from the list given. In the Action area, select the type of action you would like the alarm to perform, either Log Only, Low and/or High. The Low and/or High alarms will have the attributes chosen under the Low and High menu screens described in the previous section.

Alarm Log Menu Screen

Add Alarm Menu Screen

Clear Cache

Selecting Clear Cache brings up the alert box shown below. The cache file stores the current module information on hard disk to speed up module access time. Clearing the cacheonly slows down Avenue PC when you access a module the first time.


 Frame Pulldown Menus

The Frame pulldown menus include Edit Names, Update Network Frame List and Update Frame List.

Edit Names: This menu allows you to name each frame and frame group in the system. When no module is selected on the Frame/Module Names List on the main menu screen, only the Frame Name and Frame Group can be modified in this menu as shown below. To enable the Module Information area, expand the Frame selections on the main menu screen to show the modules present in that frame.

Type in the name of each frame and frame group in the designated area. Each name can be up to 15 characters long.

Update Network Frame List: Select this function to update the frames listed on the that are present on the network. The updated information will appear on the main menu screen. You may also select the Update Network Frame List icon explained earlier to update the network frame list.

Update Frame List: Select this function to update the frames listed on the main menu screen. You may also select the Update Frame List icon indicated below to update the network frame list.

Select OK to save the name changes. Press Cancel to exit the screen with no changes.


 Module Pulldown Menus

The Module pulldown menus include Edit Names, Load Module Configuration, Save Module Configuration and Module Pinout Diagram.

Edit Name: This menu allows you to name each frame and frame group in the system and the currently selected module name. It is identical to the previous Edit Name menu under the Frame pulldown but will always have the Module Information enabled even if no module is displayed in the Frame/Module Name List on the main menu screen.

Load Module Configuration: Selecting this function brings up a file location menu as shown below. The configuration from a stored file can be downloaded to another module of the same type.

Save Module Configuration: This menu allows you to save a module configuration to a file. All module parameters will be stored and this file may be saved or downloaded to another module of the same type.

The file access menu screens for both Load and Save Configuration are identical and appear as in the illustration below.

Module Pinout Diagram: Backplane BNC connectors and the 15-pin high density connector pinouts are given under this pulldown as shown below.